Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jdbc
Class AtomikosXAPooledConnection

    java.lang.Object
      com.atomikos.datasource.pool.AbstractXPooledConnection
          com.atomikos.jdbc.AtomikosXAPooledConnection

All Implemented Interfaces:
  XPooledConnection

    public class AtomikosXAPooledConnection

extends AbstractXPooledConnection

Constructor Summary
`AtomikosXAPooledConnection(XAConnection xaConnection, JdbcTransactionalResource jdbcTransactionalResource, ConnectionPoolProperties props)`

Method Summary
`boolean` | `canBeRecycledForCallingThread()` Can the connection be recycled (if not available) for the calling thread?
`void` | `destroy()` Destroy the pooled connection by closing the underlying physical connection.
`protected Reapable` | `doCreateConnectionProxy(HeuristicMessage hmsg)`
`boolean` | `isAvailable()` Is the connection available to be taken out of the pool ?
`boolean` | `isErroneous()` Is the pooled connection broken ?
`boolean` | `isInTransaction(CompositeTransaction ct)`
`protected void` | `testUnderlyingConnection()`
`String` | `toString()`

Methods inherited from class com.atomikos.datasource.pool.AbstractXPooledConnection
`createConnectionProxy, fireOnXPooledConnectionTerminated, getCurrentConnectionProxy, getDefaultIsolationLevel, getLastTimeAcquired, getLastTimeReleased, getTestQuery, reap, registerXPooledConnectionEventListener, unregisterXPooledConnectionEventListener, updateLastTimeAcquired, updateLastTimeReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtomikosXAPooledConnection

    public AtomikosXAPooledConnection(XAConnection xaConnection,
                                      JdbcTransactionalResource jdbcTransactionalResource,
                                      ConnectionPoolProperties props)
                               throws SQLException

Throws:
  `SQLException`

Method Detail

### destroy

    public void destroy()

  Description copied from interface: `XPooledConnection`
  Destroy the pooled connection by closing the underlying physical connection.

### doCreateConnectionProxy

    protected Reapable doCreateConnectionProxy(HeuristicMessage hmsg)
                                        throws CreateConnectionException

  Specified by:
    `doCreateConnectionProxy` in class `AbstractXPooledConnection`
  Throws:
    `CreateConnectionException`

### testUnderlyingConnection

    protected void testUnderlyingConnection()
                                     throws CreateConnectionException

  Specified by:
    `testUnderlyingConnection` in class `AbstractXPooledConnection`
  Throws:
    `CreateConnectionException`

### isAvailable

    public boolean isAvailable()

  Description copied from interface: `XPooledConnection`
  Is the connection available to be taken out of the pool ?

  Returns:

### isErroneous

    public boolean isErroneous()

  Description copied from interface: `XPooledConnection`
  Is the pooled connection broken ?

  Returns:

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isInTransaction

    public boolean isInTransaction(CompositeTransaction ct)

### canBeRecycledForCallingThread

    public boolean canBeRecycledForCallingThread()

  Description copied from interface: `XPooledConnection`
  Can the connection be recycled (if not available) for the calling thread?

  Specified by:
    `canBeRecycledForCallingThread` in interface `XPooledConnection`
  Overrides:
    `canBeRecycledForCallingThread` in class `AbstractXPooledConnection`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.